drio
Technical ReviewAPI Reference

Deployments

App deployment lifecycle operations.

POST
/api/v1/apps/{appId}/deploy

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

appId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://mcp.getdrio.com/api/v1/apps/string/deploy"
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "deployed",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}